// Schedule.h

#ifndef _SCHEDULE_h
#define _SCHEDULE_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include "HPController.h"

class HPScheduleClass
{
 protected:
	 bool scheduleStartActive = false;			//True if a scheduled start has been activated


 public:
	void init();
	bool checkScheduleStart();
	void readSchedule();
	String buildSettingsJson();
	void readSettings();
	void saveSettings(String json);

	//Schedule
	byte runDays = 0;
	word runStart1 = 0;
	word runStop1 = 0;
	word runStart2 = 0;
	word runStop2 = 0;
	word runStart3 = 0;
	word runStop3 = 0;
};

extern HPScheduleClass Schedule;

#endif

